using UnityEngine;

namespace FastArena
{
    public class SpawnPoint : MonoBehaviour
    {
        public bool Repeatable;
        public int Cooldown;
        public int Amount;
        public Spawnable Entity;

        public void SpawnEntities()
        {
            var t = transform;
            for (int i = 0; i < Amount; i++)
                Entity.Spawn(t.position, t.rotation);
        }
    }
}